<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:p="http://primefaces.org/ui"                
                template="/WEB-INF/templates/AnonymousTemplate.xhtml">

    <ui:define name="pageTitleText">Recuperar contraseña</ui:define>

    <ui:define name="contentPart">
        <p:panel header="Recuperar contraseña" style="width:450px; margin-left: auto; margin-right: auto; margin-top: 70px;">
            <h:form id="forgotPassForm">
                <table>
                    <tr>
                        <td><h:outputText value="Correo registrado"/></td>
                        <td><h:inputText id="correo" value="#{forgotPasswordMB.correo}" maxlength="#{commonDataMB.maxInputTextLength}" size="29" /></td>
                    </tr>
                    <tr>
                        <td></td>
                        <td>
                            <div 
                                style="width: 260px; height: 130px;" 
                                title="Click sobre esta imagen para recalcular otro Captcha">

                            </div>
                        </td>
                    </tr>
                </table>
                <br/>
                <!-- No se si deberia incluir abajo un update a la forma forgotPassForm : -->
                <p:commandButton
                    update="forgotPassForm" 
                    value="Recuperar clave de acceso"
                    global="false"
                    oncomplete="showAceptMessage(xhr, status, args);"
                    actionListener="#{forgotPasswordMB.enviaClaves}" />
                <p:spacer width="20px" />
                <p:commandButton
                    onclick="location = '#{request.contextPath}/#{commonDataMB.defaultFailureUrl}';"
                    global="false"
                    value="Regresar a login" />
                <br/><br/>
                <p:messages id="msg" />
            </h:form>
        </p:panel>
    </ui:define>

    <ui:define name="avisoExitoMsg">
        <h:outputText value="Se ha enviado un correo de recuperación a la dirección que usted ha indicado."/>
        <br/><br/>
        <h:outputText value="Por favor, revise su correo para restablecer sus credenciales."/>
    </ui:define>
    
    <ui:define name="outLayoutPart" >
        <ui:include src="/WEB-INF/components/Dialogs.xhtml" />
    </ui:define>

</ui:composition>